package com.siciliabit.gig;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class italian extends Activity implements B4AActivity{
	public static italian mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "com.siciliabit.gig", "com.siciliabit.gig.italian");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (italian).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "com.siciliabit.gig", "com.siciliabit.gig.italian");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.shellMode) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "com.siciliabit.gig.italian", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (italian) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (italian) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return italian.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
		this.setIntent(intent);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (italian) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (italian) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.sql.SQL _v5 = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _v6 = null;
public anywheresoftware.b4a.objects.ListViewWrapper _lvdb = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnleggi = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnnuovo = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btncerca = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btncancella = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtcerca = null;
public static int _vv2 = 0;
public anywheresoftware.b4a.objects.EditTextWrapper _txtlocale = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtuser = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtpassword = null;
public anywheresoftware.b4a.objects.ButtonWrapper _txtmodifica = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnpulisci = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnsetupita = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnuserita = null;
public anywheresoftware.b4a.objects.LabelWrapper _lbllocale = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _imgsetupita = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnchiudisetupita = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnrimuovidb = null;
public static int _vv1 = 0;
public anywheresoftware.b4a.objects.EditTextWrapper _txtpiattaforma = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtrimanenza = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtstorico = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtcaricati = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtfido = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtconsumato = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtpercentuale = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtquotanoi = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtquotalocale = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtresiduo = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtora = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtdata = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtincasso = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtweb = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtesattore = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtnotespesevarie = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtspesevarie = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtspesecarburante = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtaccontoagente = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtaccontolocale = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtnotespeselocale = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtspeselocale = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtdarelocale = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtnote = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtpercentualeagente = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtquotaagente = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtstoricoquotalocale = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtdareagente = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtstoricoincassi = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlagente = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnllocale = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlesattore = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnllocale2 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnpnllocale = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btninvio = null;
public com.siciliabit.gig.main _vv3 = null;

public static void initializeProcessGlobals() {
             try {
                Class.forName(BA.applicationContext.getPackageName() + ".main").getMethod("initializeProcessGlobals").invoke(null, null);
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
}
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 72;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 74;BA.debugLine="Activity.LoadLayout(\"italian\")";
mostCurrent._activity.LoadLayout("italian",mostCurrent.activityBA);
 //BA.debugLineNum = 75;BA.debugLine="pnllocale.SetLayout(0%x,0%y,100%x,75%y)";
mostCurrent._pnllocale.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (0),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (0),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (75),mostCurrent.activityBA));
 //BA.debugLineNum = 76;BA.debugLine="lbllocale.SetLayout(0%x,0%y,96%x,10%y)";
mostCurrent._lbllocale.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (0),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (0),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (96),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 77;BA.debugLine="btnpnllocale.SetLayout(2%x,12%y,92%x,10%y)";
mostCurrent._btnpnllocale.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (12),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (92),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 78;BA.debugLine="pnuserita.SetLayout(2%x,2%y,96%x,75%y)";
mostCurrent._pnuserita.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (2),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (96),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (75),mostCurrent.activityBA));
 //BA.debugLineNum = 79;BA.debugLine="txtuser.SetLayout(2%x,10%y,92%x,10%y)";
mostCurrent._txtuser.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (92),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 80;BA.debugLine="txtpassword.SetLayout(2%x,22%y,92%x,10%y)";
mostCurrent._txtpassword.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (22),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (92),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 81;BA.debugLine="lvdb.SetLayout(2%x,23%y,92%x,38%y)";
mostCurrent._lvdb.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (23),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (92),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (38),mostCurrent.activityBA));
 //BA.debugLineNum = 82;BA.debugLine="txtcerca.SetLayout(2%x,64%y,50%x,10%y)";
mostCurrent._txtcerca.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (64),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (50),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 83;BA.debugLine="btncerca.SetLayout(51%x,64%y,27%x,10%y)";
mostCurrent._btncerca.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (51),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (64),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (27),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 84;BA.debugLine="btnleggi.SetLayout(2%x,79%y,27%x,10%y)";
mostCurrent._btnleggi.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (79),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (27),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 85;BA.debugLine="btnnuovo.SetLayout(37%x,79%y,27%x,10%y)";
mostCurrent._btnnuovo.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (37),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (79),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (27),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 86;BA.debugLine="txtmodifica.SetLayout(70%x,79%y,27%x,10%y)";
mostCurrent._txtmodifica.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (70),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (79),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (27),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 87;BA.debugLine="btncancella.SetLayout(2%x,90%y,27%x,10%y)";
mostCurrent._btncancella.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (90),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (27),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 88;BA.debugLine="btnpulisci.SetLayout(37%x,90%y,27%x,10%y)";
mostCurrent._btnpulisci.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (37),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (90),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (27),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 89;BA.debugLine="btninvio.SetLayout(70%x,90%y,27%x,10%y)";
mostCurrent._btninvio.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (70),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (90),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (27),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 90;BA.debugLine="imgsetupita.SetLayout(79%x,64%y,15%x,10%y)";
mostCurrent._imgsetupita.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (79),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (64),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (15),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 92;BA.debugLine="pnllocale.SetLayout(2%x,2%y,96%x,75%y)";
mostCurrent._pnllocale.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (2),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (96),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (75),mostCurrent.activityBA));
 //BA.debugLineNum = 93;BA.debugLine="txtdata.SetLayout(2%x,2%y,92%x,10%y)";
mostCurrent._txtdata.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (2),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (92),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 94;BA.debugLine="txtlocale.SetLayout(2%x,12%y,92%x,10%y)";
mostCurrent._txtlocale.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (12),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (92),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 95;BA.debugLine="txtpiattaforma.SetLayout(2%x,22%y,65%x,10%y)";
mostCurrent._txtpiattaforma.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (22),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (65),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 96;BA.debugLine="txtfido.SetLayout(67%x,22%y,27%x,10%y)";
mostCurrent._txtfido.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (67),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (22),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (27),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 97;BA.debugLine="txtcaricati.SetLayout(2%x,32%y,30%x,10%y)";
mostCurrent._txtcaricati.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (32),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (30),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 98;BA.debugLine="txtconsumato.SetLayout(32%x,32%y,30%x,10%y)";
mostCurrent._txtconsumato.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (32),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (32),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (30),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 99;BA.debugLine="txtresiduo.SetLayout(62%x,32%y,32%x,10%y)";
mostCurrent._txtresiduo.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (62),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (32),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (32),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 100;BA.debugLine="txtpercentuale.SetLayout(2%x,42%y,27%x,10%y)";
mostCurrent._txtpercentuale.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (42),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (27),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 101;BA.debugLine="txtquotalocale.SetLayout(29%x,42%y,32%x,10%y)";
mostCurrent._txtquotalocale.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (29),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (42),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (32),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 102;BA.debugLine="txtquotanoi.SetLayout(61%x,42%y,33%x,10%y)";
mostCurrent._txtquotanoi.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (61),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (42),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (33),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 103;BA.debugLine="txtaccontolocale.SetLayout(2%x,52%y,32%x,10%y)";
mostCurrent._txtaccontolocale.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (52),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (32),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 104;BA.debugLine="txtstoricoquotalocale.SetLayout(34%x,52%y,40%x,10%y)";
mostCurrent._txtstoricoquotalocale.SetLayout(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (34),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (52),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (40),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 106;BA.debugLine="pnsetupita.Visible=False";
mostCurrent._pnsetupita.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 107;BA.debugLine="pnllocale.Visible=False";
mostCurrent._pnllocale.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 108;BA.debugLine="pnllocale2.Visible=False";
mostCurrent._pnllocale2.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 109;BA.debugLine="pnlagente.Visible=False";
mostCurrent._pnlagente.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 110;BA.debugLine="pnlesattore.Visible=False";
mostCurrent._pnlesattore.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 111;BA.debugLine="If File.Exists(File.DirInternal,\"gig.db\") = True Then";
if (anywheresoftware.b4a.keywords.Common.File.Exists(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),"gig.db")==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 112;BA.debugLine="SQL1.Initialize(File.DirInternal, \"gig.db\", True)";
_v5.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),"gig.db",anywheresoftware.b4a.keywords.Common.True);
 }else {
 //BA.debugLineNum = 115;BA.debugLine="File.Copy(File.DirAssets, \"gig.db\", File.DirInternal, \"gig.db\")";
anywheresoftware.b4a.keywords.Common.File.Copy(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"gig.db",anywheresoftware.b4a.keywords.Common.File.getDirInternal(),"gig.db");
 //BA.debugLineNum = 116;BA.debugLine="SQL1.Initialize(File.DirInternal, \"gig.db\", True)";
_v5.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),"gig.db",anywheresoftware.b4a.keywords.Common.True);
 };
 //BA.debugLineNum = 119;BA.debugLine="lvdb.SingleLineLayout.ItemHeight = 30dip";
mostCurrent._lvdb.getSingleLineLayout().setItemHeight(anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (30)));
 //BA.debugLineNum = 120;BA.debugLine="lvdb.SingleLineLayout.Label.Height = 30dip";
mostCurrent._lvdb.getSingleLineLayout().Label.setHeight(anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (30)));
 //BA.debugLineNum = 121;BA.debugLine="lvdb.SingleLineLayout.Label.TextSize = 18";
mostCurrent._lvdb.getSingleLineLayout().Label.setTextSize((float) (18));
 //BA.debugLineNum = 122;BA.debugLine="lvdb.SingleLineLayout.Label.TextColor = Colors.White";
mostCurrent._lvdb.getSingleLineLayout().Label.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 //BA.debugLineNum = 124;BA.debugLine="btnleggi_Click";
_btnleggi_click();
 //BA.debugLineNum = 126;BA.debugLine="End Sub";
return "";
}
public static boolean  _activity_keypress(int _keycode) throws Exception{
 //BA.debugLineNum = 127;BA.debugLine="Sub Activity_KeyPress (KeyCode As Int)  As Boolean";
 //BA.debugLineNum = 129;BA.debugLine="If KeyCode = KeyCodes.KEYCODE_BACK Then";
if (_keycode==anywheresoftware.b4a.keywords.Common.KeyCodes.KEYCODE_BACK) { 
 //BA.debugLineNum = 130;BA.debugLine="answ = Msgbox2(\"SEI SICURO DI VOLER USCIRE?\",\"AVVISO\",\"SI\",\"\",\"NO\",Null)";
_vv1 = anywheresoftware.b4a.keywords.Common.Msgbox2("SEI SICURO DI VOLER USCIRE?","AVVISO","SI","","NO",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null),mostCurrent.activityBA);
 //BA.debugLineNum = 131;BA.debugLine="If answ = DialogResponse.NEGATIVE Then";
if (_vv1==anywheresoftware.b4a.keywords.Common.DialogResponse.NEGATIVE) { 
 //BA.debugLineNum = 132;BA.debugLine="Return True";
if (true) return anywheresoftware.b4a.keywords.Common.True;
 };
 };
 //BA.debugLineNum = 135;BA.debugLine="Return False";
if (true) return anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 137;BA.debugLine="End Sub";
return false;
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 318;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 320;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 314;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 316;BA.debugLine="End Sub";
return "";
}
public static String  _btncancella_click() throws Exception{
int _answ3 = 0;
 //BA.debugLineNum = 218;BA.debugLine="Sub btncancella_Click";
 //BA.debugLineNum = 221;BA.debugLine="Dim answ3 As Int";
_answ3 = 0;
 //BA.debugLineNum = 222;BA.debugLine="answ3 = Msgbox2(\"Sei sicuro di voler rimuovere il locale dal database?\",\"ATTENZIONE !!\",\"SI\",\"\",\"NO\",Null)";
_answ3 = anywheresoftware.b4a.keywords.Common.Msgbox2("Sei sicuro di voler rimuovere il locale dal database?","ATTENZIONE !!","SI","","NO",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null),mostCurrent.activityBA);
 //BA.debugLineNum = 223;BA.debugLine="If answ3 = DialogResponse.POSITIVE Then";
if (_answ3==anywheresoftware.b4a.keywords.Common.DialogResponse.POSITIVE) { 
 //BA.debugLineNum = 224;BA.debugLine="SQL1.ExecNonQuery(\"DELETE FROM tabella where ID = \" & id )";
_v5.ExecNonQuery("DELETE FROM tabella where ID = "+BA.NumberToString(_vv2));
 //BA.debugLineNum = 225;BA.debugLine="txtlocale.Text=\"\"";
mostCurrent._txtlocale.setText((Object)(""));
 //BA.debugLineNum = 226;BA.debugLine="txtuser.Text=\"\"";
mostCurrent._txtuser.setText((Object)(""));
 //BA.debugLineNum = 227;BA.debugLine="txtpassword.Text=\"\"";
mostCurrent._txtpassword.setText((Object)(""));
 //BA.debugLineNum = 228;BA.debugLine="txtcerca.Text=\"\"";
mostCurrent._txtcerca.setText((Object)(""));
 //BA.debugLineNum = 229;BA.debugLine="lbllocale.Text=\"\"";
mostCurrent._lbllocale.setText((Object)(""));
 //BA.debugLineNum = 230;BA.debugLine="txtfido.Text=\"\"";
mostCurrent._txtfido.setText((Object)(""));
 //BA.debugLineNum = 231;BA.debugLine="txtresiduo.Text=\"\"";
mostCurrent._txtresiduo.setText((Object)(""));
 //BA.debugLineNum = 232;BA.debugLine="txtpercentuale.Text=\"\"";
mostCurrent._txtpercentuale.setText((Object)(""));
 //BA.debugLineNum = 233;BA.debugLine="txtpiattaforma.Text=\"\"";
mostCurrent._txtpiattaforma.setText((Object)(""));
 //BA.debugLineNum = 234;BA.debugLine="txtcaricati.Text=\"\"";
mostCurrent._txtcaricati.setText((Object)(""));
 //BA.debugLineNum = 235;BA.debugLine="txtconsumato.Text=\"\"";
mostCurrent._txtconsumato.setText((Object)(""));
 //BA.debugLineNum = 236;BA.debugLine="txtquotanoi.Text=\"\"";
mostCurrent._txtquotanoi.setText((Object)(""));
 //BA.debugLineNum = 237;BA.debugLine="txtquotalocale.Text=\"\"";
mostCurrent._txtquotalocale.setText((Object)(""));
 //BA.debugLineNum = 238;BA.debugLine="txtrimanenza.Text=\"\"";
mostCurrent._txtrimanenza.setText((Object)(""));
 //BA.debugLineNum = 239;BA.debugLine="txtstorico.Text=\"\"";
mostCurrent._txtstorico.setText((Object)(""));
 //BA.debugLineNum = 240;BA.debugLine="txtincasso.Text=\"\"";
mostCurrent._txtincasso.setText((Object)(""));
 //BA.debugLineNum = 241;BA.debugLine="txtweb.Text=\"\"";
mostCurrent._txtweb.setText((Object)(""));
 //BA.debugLineNum = 242;BA.debugLine="txtesattore.Text=\"\"";
mostCurrent._txtesattore.setText((Object)(""));
 //BA.debugLineNum = 243;BA.debugLine="txtnotespesevarie.Text=\"\"";
mostCurrent._txtnotespesevarie.setText((Object)(""));
 //BA.debugLineNum = 244;BA.debugLine="txtspesevarie.Text=\"\"";
mostCurrent._txtspesevarie.setText((Object)(""));
 //BA.debugLineNum = 245;BA.debugLine="txtspesecarburante.Text=\"\"";
mostCurrent._txtspesecarburante.setText((Object)(""));
 //BA.debugLineNum = 246;BA.debugLine="txtaccontoagente.Text=\"\"";
mostCurrent._txtaccontoagente.setText((Object)(""));
 //BA.debugLineNum = 247;BA.debugLine="txtaccontolocale.Text=\"\"";
mostCurrent._txtaccontolocale.setText((Object)(""));
 //BA.debugLineNum = 248;BA.debugLine="txtnotespeselocale.Text=\"\"";
mostCurrent._txtnotespeselocale.setText((Object)(""));
 //BA.debugLineNum = 249;BA.debugLine="txtspeselocale.Text=\"\"";
mostCurrent._txtspeselocale.setText((Object)(""));
 //BA.debugLineNum = 250;BA.debugLine="txtdareagente.Text=\"\"";
mostCurrent._txtdareagente.setText((Object)(""));
 //BA.debugLineNum = 251;BA.debugLine="txtdarelocale.Text=\"\"";
mostCurrent._txtdarelocale.setText((Object)(""));
 //BA.debugLineNum = 252;BA.debugLine="txtnote.Text=\"\"";
mostCurrent._txtnote.setText((Object)(""));
 //BA.debugLineNum = 253;BA.debugLine="txtpercentualeagente.Text=\"\"";
mostCurrent._txtpercentualeagente.setText((Object)(""));
 //BA.debugLineNum = 254;BA.debugLine="txtquotaagente.Text=\"\"";
mostCurrent._txtquotaagente.setText((Object)(""));
 //BA.debugLineNum = 255;BA.debugLine="txtstoricoquotalocale.Text=\"\"";
mostCurrent._txtstoricoquotalocale.setText((Object)(""));
 //BA.debugLineNum = 256;BA.debugLine="txtstoricoincassi.Text=\"\"";
mostCurrent._txtstoricoincassi.setText((Object)(""));
 //BA.debugLineNum = 257;BA.debugLine="btnleggi_Click";
_btnleggi_click();
 //BA.debugLineNum = 258;BA.debugLine="Msgbox(\"Locale eliminato dal database\",\"ELIMINATO\")";
anywheresoftware.b4a.keywords.Common.Msgbox("Locale eliminato dal database","ELIMINATO",mostCurrent.activityBA);
 }else {
 };
 //BA.debugLineNum = 263;BA.debugLine="End Sub";
return "";
}
public static String  _btncerca_click() throws Exception{
int _i = 0;
 //BA.debugLineNum = 201;BA.debugLine="Sub btncerca_Click";
 //BA.debugLineNum = 202;BA.debugLine="If txtcerca.Text=\"\" Then";
if ((mostCurrent._txtcerca.getText()).equals("")) { 
 //BA.debugLineNum = 203;BA.debugLine="Msgbox(\"Devi inserire un locale nella ricerca\",\"ERRORE\")";
anywheresoftware.b4a.keywords.Common.Msgbox("Devi inserire un locale nella ricerca","ERRORE",mostCurrent.activityBA);
 }else {
 //BA.debugLineNum = 206;BA.debugLine="lvdb.Clear'need to clear the list";
mostCurrent._lvdb.Clear();
 //BA.debugLineNum = 207;BA.debugLine="cursor1 = SQL1.ExecQuery(\"SELECT * FROM tabella WHERE Locale='\" & txtcerca.Text & \"'\")";
_v6.setObject((android.database.Cursor)(_v5.ExecQuery("SELECT * FROM tabella WHERE Locale='"+mostCurrent._txtcerca.getText()+"'")));
 //BA.debugLineNum = 208;BA.debugLine="For i = 0 To cursor1.RowCount - 1";
{
final int step179 = 1;
final int limit179 = (int) (_v6.getRowCount()-1);
for (_i = (int) (0); (step179 > 0 && _i <= limit179) || (step179 < 0 && _i >= limit179); _i = ((int)(0 + _i + step179))) {
 //BA.debugLineNum = 209;BA.debugLine="cursor1.Position = i";
_v6.setPosition(_i);
 //BA.debugLineNum = 210;BA.debugLine="txtlocale.text=cursor1.getString(\"Locale\")";
mostCurrent._txtlocale.setText((Object)(_v6.GetString("Locale")));
 //BA.debugLineNum = 211;BA.debugLine="txtuser.text=cursor1.getString(\"User\")";
mostCurrent._txtuser.setText((Object)(_v6.GetString("User")));
 //BA.debugLineNum = 212;BA.debugLine="txtpassword.text=cursor1.getstring(\"Password\")";
mostCurrent._txtpassword.setText((Object)(_v6.GetString("Password")));
 //BA.debugLineNum = 213;BA.debugLine="lbllocale.Text=cursor1.getString(\"Locale\")";
mostCurrent._lbllocale.setText((Object)(_v6.GetString("Locale")));
 }
};
 //BA.debugLineNum = 215;BA.debugLine="cursor1.Close";
_v6.Close();
 };
 //BA.debugLineNum = 217;BA.debugLine="End Sub";
return "";
}
public static String  _btnchiudisetupita_click() throws Exception{
 //BA.debugLineNum = 364;BA.debugLine="Sub btnchiudisetupita_Click";
 //BA.debugLineNum = 365;BA.debugLine="pnsetupita.Visible=False";
mostCurrent._pnsetupita.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 366;BA.debugLine="txtuser.RemoveView";
mostCurrent._txtuser.RemoveView();
 //BA.debugLineNum = 367;BA.debugLine="txtpassword.RemoveView";
mostCurrent._txtpassword.RemoveView();
 //BA.debugLineNum = 368;BA.debugLine="lvdb.RemoveView";
mostCurrent._lvdb.RemoveView();
 //BA.debugLineNum = 369;BA.debugLine="Activity.AddView(txtuser,4%x,12%y,92%x,10%y)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._txtuser.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (4),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (12),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (92),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 370;BA.debugLine="Activity.AddView(txtpassword,4%x,24%y,92%x,10%y)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._txtpassword.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (4),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (24),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (92),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 371;BA.debugLine="Activity.AddView(lvdb,2%x,38%y,96%x,35%y)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._lvdb.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (38),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (96),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (35),mostCurrent.activityBA));
 //BA.debugLineNum = 372;BA.debugLine="txtuser.Color=Colors.RGB(0,127,255)";
mostCurrent._txtuser.setColor(anywheresoftware.b4a.keywords.Common.Colors.RGB((int) (0),(int) (127),(int) (255)));
 //BA.debugLineNum = 373;BA.debugLine="txtpassword.Color=Colors.RGB(0,127,255)";
mostCurrent._txtpassword.setColor(anywheresoftware.b4a.keywords.Common.Colors.RGB((int) (0),(int) (127),(int) (255)));
 //BA.debugLineNum = 374;BA.debugLine="txtuser.TextColor = Colors.White";
mostCurrent._txtuser.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 //BA.debugLineNum = 375;BA.debugLine="txtpassword.TextColor=Colors.White";
mostCurrent._txtpassword.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 //BA.debugLineNum = 376;BA.debugLine="txtuser.HintColor=Colors.White";
mostCurrent._txtuser.setHintColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 //BA.debugLineNum = 377;BA.debugLine="txtpassword.HintColor=Colors.White";
mostCurrent._txtpassword.setHintColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 //BA.debugLineNum = 379;BA.debugLine="End Sub";
return "";
}
public static String  _btninvio_click() throws Exception{
 //BA.debugLineNum = 431;BA.debugLine="Sub btninvio_Click";
 //BA.debugLineNum = 433;BA.debugLine="End Sub";
return "";
}
public static String  _btnleggi_click() throws Exception{
int _i = 0;
 //BA.debugLineNum = 138;BA.debugLine="Sub btnleggi_Click";
 //BA.debugLineNum = 140;BA.debugLine="lvdb.Clear	'need to clear the list";
mostCurrent._lvdb.Clear();
 //BA.debugLineNum = 141;BA.debugLine="cursor1 = SQL1.ExecQuery(\"SELECT * FROM tabella\")";
_v6.setObject((android.database.Cursor)(_v5.ExecQuery("SELECT * FROM tabella")));
 //BA.debugLineNum = 142;BA.debugLine="Log(cursor1.RowCount)";
anywheresoftware.b4a.keywords.Common.Log(BA.NumberToString(_v6.getRowCount()));
 //BA.debugLineNum = 143;BA.debugLine="For i = 0 To cursor1.RowCount - 1";
{
final int step121 = 1;
final int limit121 = (int) (_v6.getRowCount()-1);
for (_i = (int) (0); (step121 > 0 && _i <= limit121) || (step121 < 0 && _i >= limit121); _i = ((int)(0 + _i + step121))) {
 //BA.debugLineNum = 144;BA.debugLine="cursor1.Position = i";
_v6.setPosition(_i);
 //BA.debugLineNum = 146;BA.debugLine="lvdb.AddSingleLine(cursor1.GetString(\"id\")& \" : \" & cursor1.GetString(\"Locale\")& \" \" & cursor1.Getstring(\"User\")& \" \" & cursor1.Getstring(\"Password\"))";
mostCurrent._lvdb.AddSingleLine(_v6.GetString("id")+" : "+_v6.GetString("Locale")+" "+_v6.GetString("User")+" "+_v6.GetString("Password"));
 }
};
 //BA.debugLineNum = 148;BA.debugLine="cursor1.Close";
_v6.Close();
 //BA.debugLineNum = 151;BA.debugLine="End Sub";
return "";
}
public static String  _btnnuovo_click() throws Exception{
int _newid = 0;
 //BA.debugLineNum = 152;BA.debugLine="Sub btnnuovo_Click";
 //BA.debugLineNum = 153;BA.debugLine="If txtlocale.Text=\"\" Then";
if ((mostCurrent._txtlocale.getText()).equals("")) { 
 //BA.debugLineNum = 154;BA.debugLine="Msgbox(\"Devi prima inserire un locale sulla casella di testo\",\"AVVISO\")";
anywheresoftware.b4a.keywords.Common.Msgbox("Devi prima inserire un locale sulla casella di testo","AVVISO",mostCurrent.activityBA);
 }else {
 //BA.debugLineNum = 156;BA.debugLine="Dim NewID As Int";
_newid = 0;
 //BA.debugLineNum = 157;BA.debugLine="Try";
try { //BA.debugLineNum = 158;BA.debugLine="NewID = SQL1.ExecQuerySingleResult(\"SELECT max(id) FROM tabella \") + 1";
_newid = (int) ((double)(Double.parseDouble(_v5.ExecQuerySingleResult("SELECT max(id) FROM tabella ")))+1);
 } 
       catch (Exception e135) {
			processBA.setLastException(e135); //BA.debugLineNum = 160;BA.debugLine="NewID = 1";
_newid = (int) (1);
 };
 //BA.debugLineNum = 162;BA.debugLine="SQL1.ExecNonQuery(\"INSERT INTO tabella VALUES('\" & NewID & \"','\" & txtlocale.text & \"','\" & txtuser.text & \"','\"& txtpassword.text  & \"','\" & txtpiattaforma.Text &\"','\" & txtincasso.Text &\"','\"& txtdata.Text & \"','\" & txtora.Text &  \"','\"& txtfido.Text & \"','\" & txtpercentuale.Text & \"','\" & txtcaricati.Text & \"','\" & txtresiduo.Text & \"','\"& txtconsumato.Text & \"','\" & txtquotanoi.Text & \"','\" & txtquotalocale.Text & \"','\" & txtrimanenza.Text & \"','\" & txtstorico.Text & \"','\" & txtweb.Text & \"','\" & txtesattore.Text & \"','\" & txtnotespesevarie.Text & \"','\" & txtspesevarie.Text & \"','\" & txtspesecarburante.Text & \"','\" & txtaccontoagente.Text & \"','\" & txtaccontolocale.Text & \"','\" & txtnotespeselocale.Text & \"','\" & txtspeselocale.Text & \"','\" & txtdareagente.Text & \"','\" & txtdarelocale.Text & \"','\" & txtnote.Text & \"','\" & txtpercentualeagente.Text & \"','\" & txtquotaagente.Text & \"','\" & txtstoricoquotalocale.Text & \"','\" & txtstoricoincassi.Text & \"')\")";
_v5.ExecNonQuery("INSERT INTO tabella VALUES('"+BA.NumberToString(_newid)+"','"+mostCurrent._txtlocale.getText()+"','"+mostCurrent._txtuser.getText()+"','"+mostCurrent._txtpassword.getText()+"','"+mostCurrent._txtpiattaforma.getText()+"','"+mostCurrent._txtincasso.getText()+"','"+mostCurrent._txtdata.getText()+"','"+mostCurrent._txtora.getText()+"','"+mostCurrent._txtfido.getText()+"','"+mostCurrent._txtpercentuale.getText()+"','"+mostCurrent._txtcaricati.getText()+"','"+mostCurrent._txtresiduo.getText()+"','"+mostCurrent._txtconsumato.getText()+"','"+mostCurrent._txtquotanoi.getText()+"','"+mostCurrent._txtquotalocale.getText()+"','"+mostCurrent._txtrimanenza.getText()+"','"+mostCurrent._txtstorico.getText()+"','"+mostCurrent._txtweb.getText()+"','"+mostCurrent._txtesattore.getText()+"','"+mostCurrent._txtnotespesevarie.getText()+"','"+mostCurrent._txtspesevarie.getText()+"','"+mostCurrent._txtspesecarburante.getText()+"','"+mostCurrent._txtaccontoagente.getText()+"','"+mostCurrent._txtaccontolocale.getText()+"','"+mostCurrent._txtnotespeselocale.getText()+"','"+mostCurrent._txtspeselocale.getText()+"','"+mostCurrent._txtdareagente.getText()+"','"+mostCurrent._txtdarelocale.getText()+"','"+mostCurrent._txtnote.getText()+"','"+mostCurrent._txtpercentualeagente.getText()+"','"+mostCurrent._txtquotaagente.getText()+"','"+mostCurrent._txtstoricoquotalocale.getText()+"','"+mostCurrent._txtstoricoincassi.getText()+"')");
 //BA.debugLineNum = 163;BA.debugLine="txtlocale.Text=\"\"";
mostCurrent._txtlocale.setText((Object)(""));
 //BA.debugLineNum = 164;BA.debugLine="txtuser.Text=\"\"";
mostCurrent._txtuser.setText((Object)(""));
 //BA.debugLineNum = 165;BA.debugLine="txtpassword.Text=\"\"";
mostCurrent._txtpassword.setText((Object)(""));
 //BA.debugLineNum = 166;BA.debugLine="txtcerca.Text=\"\"";
mostCurrent._txtcerca.setText((Object)(""));
 //BA.debugLineNum = 167;BA.debugLine="lbllocale.Text=\"\"";
mostCurrent._lbllocale.setText((Object)(""));
 //BA.debugLineNum = 168;BA.debugLine="txtfido.Text=\"\"";
mostCurrent._txtfido.setText((Object)(""));
 //BA.debugLineNum = 169;BA.debugLine="txtresiduo.Text=\"\"";
mostCurrent._txtresiduo.setText((Object)(""));
 //BA.debugLineNum = 170;BA.debugLine="txtpercentuale.Text=\"\"";
mostCurrent._txtpercentuale.setText((Object)(""));
 //BA.debugLineNum = 171;BA.debugLine="txtpiattaforma.Text=\"\"";
mostCurrent._txtpiattaforma.setText((Object)(""));
 //BA.debugLineNum = 172;BA.debugLine="txtcaricati.Text=\"\"";
mostCurrent._txtcaricati.setText((Object)(""));
 //BA.debugLineNum = 173;BA.debugLine="txtconsumato.Text=\"\"";
mostCurrent._txtconsumato.setText((Object)(""));
 //BA.debugLineNum = 174;BA.debugLine="txtquotanoi.Text=\"\"";
mostCurrent._txtquotanoi.setText((Object)(""));
 //BA.debugLineNum = 175;BA.debugLine="txtquotalocale.Text=\"\"";
mostCurrent._txtquotalocale.setText((Object)(""));
 //BA.debugLineNum = 176;BA.debugLine="txtrimanenza.Text=\"\"";
mostCurrent._txtrimanenza.setText((Object)(""));
 //BA.debugLineNum = 177;BA.debugLine="txtstorico.Text=\"\"";
mostCurrent._txtstorico.setText((Object)(""));
 //BA.debugLineNum = 178;BA.debugLine="txtincasso.Text=\"\"";
mostCurrent._txtincasso.setText((Object)(""));
 //BA.debugLineNum = 179;BA.debugLine="txtweb.Text=\"\"";
mostCurrent._txtweb.setText((Object)(""));
 //BA.debugLineNum = 180;BA.debugLine="txtesattore.Text=\"\"";
mostCurrent._txtesattore.setText((Object)(""));
 //BA.debugLineNum = 181;BA.debugLine="txtnotespesevarie.Text=\"\"";
mostCurrent._txtnotespesevarie.setText((Object)(""));
 //BA.debugLineNum = 182;BA.debugLine="txtspesevarie.Text=\"\"";
mostCurrent._txtspesevarie.setText((Object)(""));
 //BA.debugLineNum = 183;BA.debugLine="txtspesecarburante.Text=\"\"";
mostCurrent._txtspesecarburante.setText((Object)(""));
 //BA.debugLineNum = 184;BA.debugLine="txtaccontoagente.Text=\"\"";
mostCurrent._txtaccontoagente.setText((Object)(""));
 //BA.debugLineNum = 185;BA.debugLine="txtaccontolocale.Text=\"\"";
mostCurrent._txtaccontolocale.setText((Object)(""));
 //BA.debugLineNum = 186;BA.debugLine="txtnotespeselocale.Text=\"\"";
mostCurrent._txtnotespeselocale.setText((Object)(""));
 //BA.debugLineNum = 187;BA.debugLine="txtspeselocale.Text=\"\"";
mostCurrent._txtspeselocale.setText((Object)(""));
 //BA.debugLineNum = 188;BA.debugLine="txtdareagente.Text=\"\"";
mostCurrent._txtdareagente.setText((Object)(""));
 //BA.debugLineNum = 189;BA.debugLine="txtdarelocale.Text=\"\"";
mostCurrent._txtdarelocale.setText((Object)(""));
 //BA.debugLineNum = 190;BA.debugLine="txtnote.Text=\"\"";
mostCurrent._txtnote.setText((Object)(""));
 //BA.debugLineNum = 191;BA.debugLine="txtpercentualeagente.Text=\"\"";
mostCurrent._txtpercentualeagente.setText((Object)(""));
 //BA.debugLineNum = 192;BA.debugLine="txtquotaagente.Text=\"\"";
mostCurrent._txtquotaagente.setText((Object)(""));
 //BA.debugLineNum = 193;BA.debugLine="txtstoricoquotalocale.Text=\"\"";
mostCurrent._txtstoricoquotalocale.setText((Object)(""));
 //BA.debugLineNum = 194;BA.debugLine="txtstoricoincassi.Text=\"\"";
mostCurrent._txtstoricoincassi.setText((Object)(""));
 //BA.debugLineNum = 197;BA.debugLine="Msgbox(\"Locale aggiunto al database\",\"MEMORIZZATO\")";
anywheresoftware.b4a.keywords.Common.Msgbox("Locale aggiunto al database","MEMORIZZATO",mostCurrent.activityBA);
 };
 //BA.debugLineNum = 200;BA.debugLine="End Sub";
return "";
}
public static String  _btnpnllocale_click() throws Exception{
 //BA.debugLineNum = 427;BA.debugLine="Sub btnpnllocale_Click";
 //BA.debugLineNum = 428;BA.debugLine="pnllocale.Visible=True";
mostCurrent._pnllocale.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 430;BA.debugLine="End Sub";
return "";
}
public static String  _btnpulisci_click() throws Exception{
 //BA.debugLineNum = 321;BA.debugLine="Sub btnpulisci_Click";
 //BA.debugLineNum = 322;BA.debugLine="txtlocale.Text=\"\"";
mostCurrent._txtlocale.setText((Object)(""));
 //BA.debugLineNum = 323;BA.debugLine="txtuser.Text=\"\"";
mostCurrent._txtuser.setText((Object)(""));
 //BA.debugLineNum = 324;BA.debugLine="txtpassword.Text=\"\"";
mostCurrent._txtpassword.setText((Object)(""));
 //BA.debugLineNum = 325;BA.debugLine="txtcerca.Text=\"\"";
mostCurrent._txtcerca.setText((Object)(""));
 //BA.debugLineNum = 326;BA.debugLine="lbllocale.Text=\"\"";
mostCurrent._lbllocale.setText((Object)(""));
 //BA.debugLineNum = 327;BA.debugLine="txtfido.Text=\"\"";
mostCurrent._txtfido.setText((Object)(""));
 //BA.debugLineNum = 328;BA.debugLine="txtresiduo.Text=\"\"";
mostCurrent._txtresiduo.setText((Object)(""));
 //BA.debugLineNum = 329;BA.debugLine="txtpercentuale.Text=\"\"";
mostCurrent._txtpercentuale.setText((Object)(""));
 //BA.debugLineNum = 330;BA.debugLine="txtpiattaforma.Text=\"\"";
mostCurrent._txtpiattaforma.setText((Object)(""));
 //BA.debugLineNum = 331;BA.debugLine="txtcaricati.Text=\"\"";
mostCurrent._txtcaricati.setText((Object)(""));
 //BA.debugLineNum = 332;BA.debugLine="txtconsumato.Text=\"\"";
mostCurrent._txtconsumato.setText((Object)(""));
 //BA.debugLineNum = 333;BA.debugLine="txtquotanoi.Text=\"\"";
mostCurrent._txtquotanoi.setText((Object)(""));
 //BA.debugLineNum = 334;BA.debugLine="txtquotalocale.Text=\"\"";
mostCurrent._txtquotalocale.setText((Object)(""));
 //BA.debugLineNum = 335;BA.debugLine="txtrimanenza.Text=\"\"";
mostCurrent._txtrimanenza.setText((Object)(""));
 //BA.debugLineNum = 336;BA.debugLine="txtstorico.Text=\"\"";
mostCurrent._txtstorico.setText((Object)(""));
 //BA.debugLineNum = 337;BA.debugLine="txtincasso.Text=\"\"";
mostCurrent._txtincasso.setText((Object)(""));
 //BA.debugLineNum = 338;BA.debugLine="txtweb.Text=\"\"";
mostCurrent._txtweb.setText((Object)(""));
 //BA.debugLineNum = 339;BA.debugLine="txtesattore.Text=\"\"";
mostCurrent._txtesattore.setText((Object)(""));
 //BA.debugLineNum = 340;BA.debugLine="txtnotespesevarie.Text=\"\"";
mostCurrent._txtnotespesevarie.setText((Object)(""));
 //BA.debugLineNum = 341;BA.debugLine="txtspesevarie.Text=\"\"";
mostCurrent._txtspesevarie.setText((Object)(""));
 //BA.debugLineNum = 342;BA.debugLine="txtspesecarburante.Text=\"\"";
mostCurrent._txtspesecarburante.setText((Object)(""));
 //BA.debugLineNum = 343;BA.debugLine="txtaccontoagente.Text=\"\"";
mostCurrent._txtaccontoagente.setText((Object)(""));
 //BA.debugLineNum = 344;BA.debugLine="txtaccontolocale.Text=\"\"";
mostCurrent._txtaccontolocale.setText((Object)(""));
 //BA.debugLineNum = 345;BA.debugLine="txtnotespeselocale.Text=\"\"";
mostCurrent._txtnotespeselocale.setText((Object)(""));
 //BA.debugLineNum = 346;BA.debugLine="txtspeselocale.Text=\"\"";
mostCurrent._txtspeselocale.setText((Object)(""));
 //BA.debugLineNum = 347;BA.debugLine="txtdareagente.Text=\"\"";
mostCurrent._txtdareagente.setText((Object)(""));
 //BA.debugLineNum = 348;BA.debugLine="txtdarelocale.Text=\"\"";
mostCurrent._txtdarelocale.setText((Object)(""));
 //BA.debugLineNum = 349;BA.debugLine="txtnote.Text=\"\"";
mostCurrent._txtnote.setText((Object)(""));
 //BA.debugLineNum = 350;BA.debugLine="txtpercentualeagente.Text=\"\"";
mostCurrent._txtpercentualeagente.setText((Object)(""));
 //BA.debugLineNum = 351;BA.debugLine="txtquotaagente.Text=\"\"";
mostCurrent._txtquotaagente.setText((Object)(""));
 //BA.debugLineNum = 352;BA.debugLine="txtstoricoquotalocale.Text=\"\"";
mostCurrent._txtstoricoquotalocale.setText((Object)(""));
 //BA.debugLineNum = 353;BA.debugLine="txtstoricoincassi.Text=\"\"";
mostCurrent._txtstoricoincassi.setText((Object)(""));
 //BA.debugLineNum = 354;BA.debugLine="lbllocale.Text=\"\"";
mostCurrent._lbllocale.setText((Object)(""));
 //BA.debugLineNum = 355;BA.debugLine="End Sub";
return "";
}
public static String  _btnrimuovidb_click() throws Exception{
int _answ2 = 0;
 //BA.debugLineNum = 415;BA.debugLine="Sub btnrimuovidb_Click";
 //BA.debugLineNum = 416;BA.debugLine="Dim answ2 As Int";
_answ2 = 0;
 //BA.debugLineNum = 417;BA.debugLine="answ2 = Msgbox2(\"Sei sicuro di voler rimuovere il database? così facendo eliminerai tutte le user\",\"ATTENZIONE !!\",\"SI\",\"\",\"NO\",Null)";
_answ2 = anywheresoftware.b4a.keywords.Common.Msgbox2("Sei sicuro di voler rimuovere il database? così facendo eliminerai tutte le user","ATTENZIONE !!","SI","","NO",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null),mostCurrent.activityBA);
 //BA.debugLineNum = 418;BA.debugLine="If answ2 = DialogResponse.POSITIVE Then";
if (_answ2==anywheresoftware.b4a.keywords.Common.DialogResponse.POSITIVE) { 
 //BA.debugLineNum = 419;BA.debugLine="File.Delete(File.DirInternal,\"gig.db\")";
anywheresoftware.b4a.keywords.Common.File.Delete(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),"gig.db");
 //BA.debugLineNum = 420;BA.debugLine="Msgbox(\"Databse rimosso dal tuo telefono\",\"RIMOSSO\")";
anywheresoftware.b4a.keywords.Common.Msgbox("Databse rimosso dal tuo telefono","RIMOSSO",mostCurrent.activityBA);
 }else {
 };
 //BA.debugLineNum = 425;BA.debugLine="End Sub";
return "";
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 13;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 16;BA.debugLine="Dim lvdb As ListView";
mostCurrent._lvdb = new anywheresoftware.b4a.objects.ListViewWrapper();
 //BA.debugLineNum = 17;BA.debugLine="Dim btnleggi As Button";
mostCurrent._btnleggi = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 18;BA.debugLine="Dim btnnuovo As Button";
mostCurrent._btnnuovo = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 19;BA.debugLine="Dim btncerca As Button";
mostCurrent._btncerca = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 20;BA.debugLine="Dim btncancella As Button";
mostCurrent._btncancella = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 21;BA.debugLine="Dim txtcerca As EditText";
mostCurrent._txtcerca = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 22;BA.debugLine="Dim id As Int";
_vv2 = 0;
 //BA.debugLineNum = 23;BA.debugLine="Dim txtlocale As EditText";
mostCurrent._txtlocale = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 24;BA.debugLine="Dim txtuser As EditText";
mostCurrent._txtuser = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 25;BA.debugLine="Dim txtpassword As EditText";
mostCurrent._txtpassword = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 26;BA.debugLine="Dim txtmodifica As Button";
mostCurrent._txtmodifica = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 27;BA.debugLine="Dim btnpulisci As Button";
mostCurrent._btnpulisci = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 28;BA.debugLine="Dim pnsetupita As Panel";
mostCurrent._pnsetupita = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 29;BA.debugLine="Dim pnuserita As Panel";
mostCurrent._pnuserita = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 30;BA.debugLine="Dim lbllocale As Label";
mostCurrent._lbllocale = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 31;BA.debugLine="Dim imgsetupita As ImageView";
mostCurrent._imgsetupita = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 32;BA.debugLine="Dim btnchiudisetupita As Button";
mostCurrent._btnchiudisetupita = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 33;BA.debugLine="Dim btnrimuovidb As Button";
mostCurrent._btnrimuovidb = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 34;BA.debugLine="Dim answ As Int";
_vv1 = 0;
 //BA.debugLineNum = 35;BA.debugLine="Dim txtpiattaforma As EditText";
mostCurrent._txtpiattaforma = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 36;BA.debugLine="Dim txtrimanenza As EditText";
mostCurrent._txtrimanenza = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 37;BA.debugLine="Dim txtstorico As EditText";
mostCurrent._txtstorico = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 38;BA.debugLine="Dim txtcaricati As EditText";
mostCurrent._txtcaricati = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 39;BA.debugLine="Dim txtfido As EditText";
mostCurrent._txtfido = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 40;BA.debugLine="Dim txtconsumato As EditText";
mostCurrent._txtconsumato = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 41;BA.debugLine="Dim txtpercentuale As EditText";
mostCurrent._txtpercentuale = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 42;BA.debugLine="Dim txtquotanoi As EditText";
mostCurrent._txtquotanoi = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 43;BA.debugLine="Dim txtquotalocale As EditText";
mostCurrent._txtquotalocale = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 44;BA.debugLine="Dim txtresiduo As EditText";
mostCurrent._txtresiduo = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 45;BA.debugLine="Dim txtora As EditText";
mostCurrent._txtora = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 46;BA.debugLine="Dim txtdata As EditText";
mostCurrent._txtdata = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 47;BA.debugLine="Dim txtincasso As EditText";
mostCurrent._txtincasso = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 48;BA.debugLine="Dim txtweb As EditText";
mostCurrent._txtweb = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 49;BA.debugLine="Dim txtesattore As EditText";
mostCurrent._txtesattore = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 50;BA.debugLine="Dim txtnotespesevarie As EditText";
mostCurrent._txtnotespesevarie = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 51;BA.debugLine="Dim txtspesevarie As EditText";
mostCurrent._txtspesevarie = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 52;BA.debugLine="Dim txtspesecarburante As EditText";
mostCurrent._txtspesecarburante = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 53;BA.debugLine="Dim txtaccontoagente As EditText";
mostCurrent._txtaccontoagente = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 54;BA.debugLine="Dim txtaccontolocale As EditText";
mostCurrent._txtaccontolocale = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 55;BA.debugLine="Dim txtnotespeselocale As EditText";
mostCurrent._txtnotespeselocale = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 56;BA.debugLine="Dim txtspeselocale As EditText";
mostCurrent._txtspeselocale = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 57;BA.debugLine="Dim txtdarelocale As EditText";
mostCurrent._txtdarelocale = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 58;BA.debugLine="Dim txtnote As EditText";
mostCurrent._txtnote = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 59;BA.debugLine="Dim txtpercentualeagente As EditText";
mostCurrent._txtpercentualeagente = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 60;BA.debugLine="Dim txtquotaagente As EditText";
mostCurrent._txtquotaagente = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 61;BA.debugLine="Dim txtstoricoquotalocale As EditText";
mostCurrent._txtstoricoquotalocale = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 62;BA.debugLine="Dim txtdareagente As EditText";
mostCurrent._txtdareagente = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 63;BA.debugLine="Dim txtstoricoincassi As EditText";
mostCurrent._txtstoricoincassi = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 64;BA.debugLine="Dim pnlagente As Panel";
mostCurrent._pnlagente = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 65;BA.debugLine="Dim pnllocale As Panel";
mostCurrent._pnllocale = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 66;BA.debugLine="Dim pnlesattore As Panel";
mostCurrent._pnlesattore = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 67;BA.debugLine="Dim pnllocale2 As Panel";
mostCurrent._pnllocale2 = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 68;BA.debugLine="Dim btnpnllocale As Button";
mostCurrent._btnpnllocale = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 69;BA.debugLine="Dim btninvio As Button";
mostCurrent._btninvio = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 70;BA.debugLine="End Sub";
return "";
}
public static String  _imgsetupita_click() throws Exception{
 //BA.debugLineNum = 356;BA.debugLine="Sub imgsetupita_Click";
 //BA.debugLineNum = 357;BA.debugLine="txtlocale.Text=\"\"";
mostCurrent._txtlocale.setText((Object)(""));
 //BA.debugLineNum = 358;BA.debugLine="txtuser.Text=\"\"";
mostCurrent._txtuser.setText((Object)(""));
 //BA.debugLineNum = 359;BA.debugLine="txtpassword.Text=\"\"";
mostCurrent._txtpassword.setText((Object)(""));
 //BA.debugLineNum = 360;BA.debugLine="txtcerca.Text=\"\"";
mostCurrent._txtcerca.setText((Object)(""));
 //BA.debugLineNum = 361;BA.debugLine="lbllocale.Text=\"\"";
mostCurrent._lbllocale.setText((Object)(""));
 //BA.debugLineNum = 363;BA.debugLine="End Sub";
return "";
}
public static String  _lvdb_itemclick(int _position,Object _value) throws Exception{
String _idvalue = "";
String _countit = "";
int _i = 0;
 //BA.debugLineNum = 265;BA.debugLine="Sub lvdb_ItemClick (Position As Int, Value As Object)";
 //BA.debugLineNum = 266;BA.debugLine="Dim idvalue As String";
_idvalue = "";
 //BA.debugLineNum = 267;BA.debugLine="idvalue = Value";
_idvalue = BA.ObjectToString(_value);
 //BA.debugLineNum = 268;BA.debugLine="countIt = idvalue.IndexOf(\":\") 'find location of sperator";
_countit = BA.NumberToString(_idvalue.indexOf(":"));
 //BA.debugLineNum = 269;BA.debugLine="idvalue = idvalue.SubString2(0,countIt) 'find first part of label text";
_idvalue = _idvalue.substring((int) (0),(int)(Double.parseDouble(_countit)));
 //BA.debugLineNum = 270;BA.debugLine="id = idvalue";
_vv2 = (int)(Double.parseDouble(_idvalue));
 //BA.debugLineNum = 272;BA.debugLine="cursor1 = SQL1.ExecQuery(\"SELECT * FROM tabella where id = \" & id )";
_v6.setObject((android.database.Cursor)(_v5.ExecQuery("SELECT * FROM tabella where id = "+BA.NumberToString(_vv2))));
 //BA.debugLineNum = 273;BA.debugLine="For i = 0 To cursor1.RowCount - 1";
{
final int step238 = 1;
final int limit238 = (int) (_v6.getRowCount()-1);
for (_i = (int) (0); (step238 > 0 && _i <= limit238) || (step238 < 0 && _i >= limit238); _i = ((int)(0 + _i + step238))) {
 //BA.debugLineNum = 274;BA.debugLine="cursor1.Position = i";
_v6.setPosition(_i);
 //BA.debugLineNum = 275;BA.debugLine="txtlocale.text=cursor1.getString(\"Locale\")";
mostCurrent._txtlocale.setText((Object)(_v6.GetString("Locale")));
 //BA.debugLineNum = 276;BA.debugLine="txtuser.text=cursor1.getString(\"User\")";
mostCurrent._txtuser.setText((Object)(_v6.GetString("User")));
 //BA.debugLineNum = 277;BA.debugLine="txtpassword.text=cursor1.getstring(\"Password\")";
mostCurrent._txtpassword.setText((Object)(_v6.GetString("Password")));
 //BA.debugLineNum = 278;BA.debugLine="txtfido.text=cursor1.getString(\"Fido\")";
mostCurrent._txtfido.setText((Object)(_v6.GetString("Fido")));
 //BA.debugLineNum = 279;BA.debugLine="txtresiduo.text=cursor1.getString(\"Residuo\")";
mostCurrent._txtresiduo.setText((Object)(_v6.GetString("Residuo")));
 //BA.debugLineNum = 280;BA.debugLine="txtpercentuale.text=cursor1.getstring(\"Percentuale\")";
mostCurrent._txtpercentuale.setText((Object)(_v6.GetString("Percentuale")));
 //BA.debugLineNum = 281;BA.debugLine="txtpiattaforma.text=cursor1.getString(\"Piattaforma\")";
mostCurrent._txtpiattaforma.setText((Object)(_v6.GetString("Piattaforma")));
 //BA.debugLineNum = 282;BA.debugLine="txtcaricati.text=cursor1.getString(\"Caricati\")";
mostCurrent._txtcaricati.setText((Object)(_v6.GetString("Caricati")));
 //BA.debugLineNum = 283;BA.debugLine="txtconsumato.text=cursor1.getstring(\"Consumato\")";
mostCurrent._txtconsumato.setText((Object)(_v6.GetString("Consumato")));
 //BA.debugLineNum = 284;BA.debugLine="txtquotanoi.text=cursor1.getString(\"Quota_noi\")";
mostCurrent._txtquotanoi.setText((Object)(_v6.GetString("Quota_noi")));
 //BA.debugLineNum = 285;BA.debugLine="txtquotalocale.text=cursor1.getString(\"Quota_locale\")";
mostCurrent._txtquotalocale.setText((Object)(_v6.GetString("Quota_locale")));
 //BA.debugLineNum = 286;BA.debugLine="txtrimanenza.text=cursor1.getstring(\"Rimanenza\")";
mostCurrent._txtrimanenza.setText((Object)(_v6.GetString("Rimanenza")));
 //BA.debugLineNum = 287;BA.debugLine="txtstorico.text=cursor1.getString(\"Storico\")";
mostCurrent._txtstorico.setText((Object)(_v6.GetString("Storico")));
 //BA.debugLineNum = 288;BA.debugLine="txtincasso.text=cursor1.getString(\"Incasso\")";
mostCurrent._txtincasso.setText((Object)(_v6.GetString("Incasso")));
 //BA.debugLineNum = 289;BA.debugLine="txtweb.text=cursor1.getstring(\"Web\")";
mostCurrent._txtweb.setText((Object)(_v6.GetString("Web")));
 //BA.debugLineNum = 290;BA.debugLine="lbllocale.Text=cursor1.getString(\"Locale\")";
mostCurrent._lbllocale.setText((Object)(_v6.GetString("Locale")));
 //BA.debugLineNum = 292;BA.debugLine="txtesattore.text=cursor1.getString(\"Nome_esattore\")";
mostCurrent._txtesattore.setText((Object)(_v6.GetString("Nome_esattore")));
 //BA.debugLineNum = 293;BA.debugLine="txtnotespesevarie.text=cursor1.getString(\"Note_spese_varie\")";
mostCurrent._txtnotespesevarie.setText((Object)(_v6.GetString("Note_spese_varie")));
 //BA.debugLineNum = 294;BA.debugLine="txtspesevarie.text=cursor1.getstring(\"Spese_varie\")";
mostCurrent._txtspesevarie.setText((Object)(_v6.GetString("Spese_varie")));
 //BA.debugLineNum = 295;BA.debugLine="txtspesecarburante.text=cursor1.getString(\"Spese_carburante\")";
mostCurrent._txtspesecarburante.setText((Object)(_v6.GetString("Spese_carburante")));
 //BA.debugLineNum = 296;BA.debugLine="txtaccontoagente.text=cursor1.getString(\"Acconto_agente\")";
mostCurrent._txtaccontoagente.setText((Object)(_v6.GetString("Acconto_agente")));
 //BA.debugLineNum = 297;BA.debugLine="txtaccontolocale.text=cursor1.getstring(\"Acconto_locale\")";
mostCurrent._txtaccontolocale.setText((Object)(_v6.GetString("Acconto_locale")));
 //BA.debugLineNum = 298;BA.debugLine="txtnotespeselocale.text=cursor1.getString(\"Note_spese_locale\")";
mostCurrent._txtnotespeselocale.setText((Object)(_v6.GetString("Note_spese_locale")));
 //BA.debugLineNum = 299;BA.debugLine="txtspeselocale.text=cursor1.getString(\"Spese_locale\")";
mostCurrent._txtspeselocale.setText((Object)(_v6.GetString("Spese_locale")));
 //BA.debugLineNum = 300;BA.debugLine="txtdareagente.text=cursor1.getstring(\"Dare_agente\")";
mostCurrent._txtdareagente.setText((Object)(_v6.GetString("Dare_agente")));
 //BA.debugLineNum = 301;BA.debugLine="txtnote.text=cursor1.getString(\"Note\")";
mostCurrent._txtnote.setText((Object)(_v6.GetString("Note")));
 //BA.debugLineNum = 302;BA.debugLine="txtpercentualeagente.text=cursor1.getString(\"Percentuale_agente\")";
mostCurrent._txtpercentualeagente.setText((Object)(_v6.GetString("Percentuale_agente")));
 //BA.debugLineNum = 303;BA.debugLine="txtquotaagente.text=cursor1.getstring(\"Quota_agente\")";
mostCurrent._txtquotaagente.setText((Object)(_v6.GetString("Quota_agente")));
 //BA.debugLineNum = 304;BA.debugLine="txtstoricoquotalocale.text=cursor1.getString(\"Storico_quota_locale\")";
mostCurrent._txtstoricoquotalocale.setText((Object)(_v6.GetString("Storico_quota_locale")));
 //BA.debugLineNum = 305;BA.debugLine="txtstoricoincassi.text=cursor1.getString(\"Storico_incassi\")";
mostCurrent._txtstoricoincassi.setText((Object)(_v6.GetString("Storico_incassi")));
 }
};
 //BA.debugLineNum = 309;BA.debugLine="End Sub";
return "";
}
public static String  _lvdb_itemlongclick(int _position,Object _value) throws Exception{
 //BA.debugLineNum = 380;BA.debugLine="Sub lvdb_ItemLongClick (Position As Int, Value As Object)";
 //BA.debugLineNum = 381;BA.debugLine="txtlocale.Text=\"\"";
mostCurrent._txtlocale.setText((Object)(""));
 //BA.debugLineNum = 382;BA.debugLine="txtuser.Text=\"\"";
mostCurrent._txtuser.setText((Object)(""));
 //BA.debugLineNum = 383;BA.debugLine="txtpassword.Text=\"\"";
mostCurrent._txtpassword.setText((Object)(""));
 //BA.debugLineNum = 384;BA.debugLine="txtcerca.Text=\"\"";
mostCurrent._txtcerca.setText((Object)(""));
 //BA.debugLineNum = 385;BA.debugLine="lbllocale.Text=\"\"";
mostCurrent._lbllocale.setText((Object)(""));
 //BA.debugLineNum = 386;BA.debugLine="txtfido.Text=\"\"";
mostCurrent._txtfido.setText((Object)(""));
 //BA.debugLineNum = 387;BA.debugLine="txtresiduo.Text=\"\"";
mostCurrent._txtresiduo.setText((Object)(""));
 //BA.debugLineNum = 388;BA.debugLine="txtpercentuale.Text=\"\"";
mostCurrent._txtpercentuale.setText((Object)(""));
 //BA.debugLineNum = 389;BA.debugLine="txtpiattaforma.Text=\"\"";
mostCurrent._txtpiattaforma.setText((Object)(""));
 //BA.debugLineNum = 390;BA.debugLine="txtcaricati.Text=\"\"";
mostCurrent._txtcaricati.setText((Object)(""));
 //BA.debugLineNum = 391;BA.debugLine="txtconsumato.Text=\"\"";
mostCurrent._txtconsumato.setText((Object)(""));
 //BA.debugLineNum = 392;BA.debugLine="txtquotanoi.Text=\"\"";
mostCurrent._txtquotanoi.setText((Object)(""));
 //BA.debugLineNum = 393;BA.debugLine="txtquotalocale.Text=\"\"";
mostCurrent._txtquotalocale.setText((Object)(""));
 //BA.debugLineNum = 394;BA.debugLine="txtrimanenza.Text=\"\"";
mostCurrent._txtrimanenza.setText((Object)(""));
 //BA.debugLineNum = 395;BA.debugLine="txtstorico.Text=\"\"";
mostCurrent._txtstorico.setText((Object)(""));
 //BA.debugLineNum = 396;BA.debugLine="txtincasso.Text=\"\"";
mostCurrent._txtincasso.setText((Object)(""));
 //BA.debugLineNum = 397;BA.debugLine="txtweb.Text=\"\"";
mostCurrent._txtweb.setText((Object)(""));
 //BA.debugLineNum = 398;BA.debugLine="txtesattore.Text=\"\"";
mostCurrent._txtesattore.setText((Object)(""));
 //BA.debugLineNum = 399;BA.debugLine="txtnotespesevarie.Text=\"\"";
mostCurrent._txtnotespesevarie.setText((Object)(""));
 //BA.debugLineNum = 400;BA.debugLine="txtspesevarie.Text=\"\"";
mostCurrent._txtspesevarie.setText((Object)(""));
 //BA.debugLineNum = 401;BA.debugLine="txtspesecarburante.Text=\"\"";
mostCurrent._txtspesecarburante.setText((Object)(""));
 //BA.debugLineNum = 402;BA.debugLine="txtaccontoagente.Text=\"\"";
mostCurrent._txtaccontoagente.setText((Object)(""));
 //BA.debugLineNum = 403;BA.debugLine="txtaccontolocale.Text=\"\"";
mostCurrent._txtaccontolocale.setText((Object)(""));
 //BA.debugLineNum = 404;BA.debugLine="txtnotespeselocale.Text=\"\"";
mostCurrent._txtnotespeselocale.setText((Object)(""));
 //BA.debugLineNum = 405;BA.debugLine="txtspeselocale.Text=\"\"";
mostCurrent._txtspeselocale.setText((Object)(""));
 //BA.debugLineNum = 406;BA.debugLine="txtdareagente.Text=\"\"";
mostCurrent._txtdareagente.setText((Object)(""));
 //BA.debugLineNum = 407;BA.debugLine="txtdarelocale.Text=\"\"";
mostCurrent._txtdarelocale.setText((Object)(""));
 //BA.debugLineNum = 408;BA.debugLine="txtnote.Text=\"\"";
mostCurrent._txtnote.setText((Object)(""));
 //BA.debugLineNum = 409;BA.debugLine="txtpercentualeagente.Text=\"\"";
mostCurrent._txtpercentualeagente.setText((Object)(""));
 //BA.debugLineNum = 410;BA.debugLine="txtquotaagente.Text=\"\"";
mostCurrent._txtquotaagente.setText((Object)(""));
 //BA.debugLineNum = 411;BA.debugLine="txtstoricoquotalocale.Text=\"\"";
mostCurrent._txtstoricoquotalocale.setText((Object)(""));
 //BA.debugLineNum = 412;BA.debugLine="txtstoricoincassi.Text=\"\"";
mostCurrent._txtstoricoincassi.setText((Object)(""));
 //BA.debugLineNum = 413;BA.debugLine="lbllocale.Text=\"\"";
mostCurrent._lbllocale.setText((Object)(""));
 //BA.debugLineNum = 414;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 9;BA.debugLine="Dim SQL1 As SQL";
_v5 = new anywheresoftware.b4a.sql.SQL();
 //BA.debugLineNum = 10;BA.debugLine="Dim cursor1 As Cursor";
_v6 = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
 //BA.debugLineNum = 11;BA.debugLine="End Sub";
return "";
}
public static String  _txtmodifica_click() throws Exception{
 //BA.debugLineNum = 310;BA.debugLine="Sub txtmodifica_Click";
 //BA.debugLineNum = 311;BA.debugLine="SQL1.ExecNonQuery(\"UPDATE tabella set Locale ='\"& txtlocale.text &\"',User ='\"& txtuser.text &\"', Password ='\"& txtpassword.text  &\"', Data = '\" & txtdata.Text & \"',Ora ='\" &txtora.Text & \"', Fido= '\" & txtfido.Text & \"', Percentuale= '\" & txtpercentuale.Text & \"',Piattaforma= '\" & txtpiattaforma.Text & \"', Caricati = '\" & txtcaricati.Text & \"', Residuo='\" & txtresiduo.Text &\"',Consumato='\" & txtconsumato.Text & \"',Quota_noi ='\" & txtquotanoi.Text & \"', Rimanenza ='\" & txtrimanenza.Text &\"', Quota_locale='\" & txtquotalocale.Text &  \"', Storico_incassi ='\" & txtstorico.Text & \"', Incasso = '\" & txtincasso.Text & \"',Web='\" & txtweb.Text & \"', Nome_esattore = '\" & txtesattore.Text &\"', Note_spese_varie ='\" & txtnotespesevarie.Text & \"',Spese_varie='\" & txtspesevarie.Text & \"', Spese_carburante ='\" & txtspesecarburante.Text & \"', Acconto_agente ='\" & txtaccontoagente.Text & \"', Acconto_locale ='\" & txtaccontolocale.Text & \"', Note_spese_locale ='\" & txtnotespeselocale.Text & \"', Spese_locale = '\" & txtspeselocale.Text & \"', Dare_agente = '\" & txtdareagente.Text &\"', Dare_locale ='\" & txtdarelocale.Text & \"', Note ='\" & txtnote.Text & \"', Percentuale_agente = '\" & txtpercentualeagente.Text & \"', Quota_agente = '\" & txtquotaagente.Text & \"', Storico_quota_locale = '\" & txtstoricoquotalocale.Text & \"', Storico_incassi = '\" & txtstoricoincassi.Text & \"' WHERE id = \" & id)";
_v5.ExecNonQuery("UPDATE tabella set Locale ='"+mostCurrent._txtlocale.getText()+"',User ='"+mostCurrent._txtuser.getText()+"', Password ='"+mostCurrent._txtpassword.getText()+"', Data = '"+mostCurrent._txtdata.getText()+"',Ora ='"+mostCurrent._txtora.getText()+"', Fido= '"+mostCurrent._txtfido.getText()+"', Percentuale= '"+mostCurrent._txtpercentuale.getText()+"',Piattaforma= '"+mostCurrent._txtpiattaforma.getText()+"', Caricati = '"+mostCurrent._txtcaricati.getText()+"', Residuo='"+mostCurrent._txtresiduo.getText()+"',Consumato='"+mostCurrent._txtconsumato.getText()+"',Quota_noi ='"+mostCurrent._txtquotanoi.getText()+"', Rimanenza ='"+mostCurrent._txtrimanenza.getText()+"', Quota_locale='"+mostCurrent._txtquotalocale.getText()+"', Storico_incassi ='"+mostCurrent._txtstorico.getText()+"', Incasso = '"+mostCurrent._txtincasso.getText()+"',Web='"+mostCurrent._txtweb.getText()+"', Nome_esattore = '"+mostCurrent._txtesattore.getText()+"', Note_spese_varie ='"+mostCurrent._txtnotespesevarie.getText()+"',Spese_varie='"+mostCurrent._txtspesevarie.getText()+"', Spese_carburante ='"+mostCurrent._txtspesecarburante.getText()+"', Acconto_agente ='"+mostCurrent._txtaccontoagente.getText()+"', Acconto_locale ='"+mostCurrent._txtaccontolocale.getText()+"', Note_spese_locale ='"+mostCurrent._txtnotespeselocale.getText()+"', Spese_locale = '"+mostCurrent._txtspeselocale.getText()+"', Dare_agente = '"+mostCurrent._txtdareagente.getText()+"', Dare_locale ='"+mostCurrent._txtdarelocale.getText()+"', Note ='"+mostCurrent._txtnote.getText()+"', Percentuale_agente = '"+mostCurrent._txtpercentualeagente.getText()+"', Quota_agente = '"+mostCurrent._txtquotaagente.getText()+"', Storico_quota_locale = '"+mostCurrent._txtstoricoquotalocale.getText()+"', Storico_incassi = '"+mostCurrent._txtstoricoincassi.getText()+"' WHERE id = "+BA.NumberToString(_vv2));
 //BA.debugLineNum = 312;BA.debugLine="btnleggi_Click";
_btnleggi_click();
 //BA.debugLineNum = 313;BA.debugLine="End Sub";
return "";
}
}
